/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#ifndef MAKEFILE_EDITOR_H
#define MAKEFILE_EDITOR_H

#include "../openldev-settings/openldev-makefile-parser.h"
#include "../openldev-settings/openldev-project.h"
#include "../openldev-dialogs/openldev-input.h"
#include <gtk/gtk.h>
#include <glade/glade.h>

typedef struct _MakefileEditor  MakefileEditor;

struct _MakefileEditor
{  
  GtkWidget *window;
  GtkWidget *b_new;
  GtkWidget *b_add;
  GtkWidget *b_delete;
  GtkWidget *b_up;
  GtkWidget *b_down;
  GtkWidget *b_help;
  GtkWidget *b_close;
  GtkWidget *makefiles;
  GtkWidget *treeview;
  
  ProjectSettings *project;
  Makefile *mf;
};

MakefileEditor* makefile_editor_new (const char*);

#endif
