/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "openldev-help.h"

void openldev_help_documentation (GtkMenuItem *menuitem,
                                  gpointer data) 
{
  string command = "x-www-browser http://www.openldev.org/documentation.php";
  FILE *in;
  in = popen(command.c_str(), "r");
}

void openldev_help_report_bug (GtkMenuItem *menuitem,
                               gpointer data) 
{
  string command = "x-www-browser http://sourceforge.net/tracker/?group_id=119764";
  FILE *in;
  in = popen(command.c_str(), "r");
}

// Create an object of the OpenLDev about dialog that shows the copyright
// information and current version.
void openldev_help_about (GtkMenuItem *menuitem,
                          gpointer data) 
{
  AboutDialog *dialog = openldev_about_dialog_new (VERSION);
  openldev_about_dialog_run (dialog);
  delete dialog;
}
