/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef FILE_TAB_H
#define FILE_TAB_H

#include <gtksourceview/gtksourceview.h>
#include <gtk/gtk.h>
#include <iostream>
using namespace std;

typedef struct _FileTab  FileTab;

struct _FileTab
{
  GtkWidget *textview;
  GtkWidget *swin;
  GtkWidget *label;
  GtkWidget *button;
  GtkWidget *image;
  GtkWidget *hbox;

	int tab_id;
	int current_line_count;
  string fn;
};

FileTab* openldev_file_tab_new (const char*);

const char* openldev_file_tab_get_filename (FileTab*);
void        openldev_file_tab_set_filename (FileTab*, const char*);

#endif
