/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef FIND_TOOLBAR_H
#define FIND_TOOLBAR_H

#include <gtk/gtk.h>

typedef struct _FindToolbar  FindToolbar;

struct _FindToolbar
{
  GtkWidget *label_find;
  GtkWidget *label_error;
  GtkWidget *find_text;
  GtkWidget *button_find;
  GtkWidget *button_close;
  GtkWidget *button_replace;
  GtkWidget *image_close;
  GtkWidget *image_error;
  GtkWidget *search_files;
  GtkWidget *hbox;
};

FindToolbar* openldev_find_toolbar_new ();
  
void openldev_find_toolbar_show_error             (FindToolbar*, bool);
bool openldev_find_toolbar_search_files_is_active (FindToolbar*);

#endif
