/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef OUTPUT_TERMINAL_H
#define OUTPUT_TERMINAL_H

#include <vte/vte.h>
#include <gtk/gtk.h>
#include <cstring>

typedef struct _OutputTerminal  OutputTerminal;

struct _OutputTerminal
{
  GtkWidget *terminal;
  GtkWidget *hbox;
  GtkWidget *scrollbar;
};

OutputTerminal* openldev_output_terminal_new ();

void openldev_output_terminal_run_command (OutputTerminal*, const char*);
void openldev_output_terminal_grab_focus  (OutputTerminal*);

GtkWidget* openldev_output_terminal_get_terminal (OutputTerminal*);
GtkWidget* openldev_output_terminal_get_hbox     (OutputTerminal*);

#endif
