/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "openldev-status-bar.h"

StatusBar* openldev_status_bar_new ()
{
  StatusBar *obj = new StatusBar();
  obj->appbar = gnome_appbar_new (true, true, GNOME_PREFERENCES_NEVER);
  return obj;
}

void openldev_status_bar_set_message (StatusBar *obj, const char *message)
{
  obj->message = message;  
  gnome_appbar_set_status (GNOME_APPBAR(obj->appbar), message);
}

const char* openldev_status_bar_get_message (StatusBar *obj)
{ return obj->message;
}
