/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#include "openldev-menu-callbacks.h"

void openldev_menu_file_close_project (OpenLDev *openldev)
{ openldev_file_close_project (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_file_new_file (OpenLDev *openldev)
{ openldev_file_new_file (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_file_new_project (OpenLDev *openldev)
{ openldev_file_new_project (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_file_open (OpenLDev *openldev)
{ openldev_file_open (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_file_save (OpenLDev *openldev)
{ openldev_file_save (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_file_save_as (OpenLDev *openldev)
{ openldev_file_save_as (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_file_save_all (OpenLDev *openldev)
{ openldev_file_save_all (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_file_revert (OpenLDev *openldev)
{ openldev_file_revert (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_file_print (OpenLDev *openldev)
{ openldev_file_print (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_file_print_preview (OpenLDev *openldev)
{ openldev_file_print_preview (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_file_quit (OpenLDev *openldev)
{ openldev_file_quit (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_edit_undo (OpenLDev *openldev)
{ openldev_edit_undo (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_edit_redo (OpenLDev *openldev)
{ openldev_edit_redo (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_edit_cut (OpenLDev *openldev)
{ openldev_edit_cut (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_edit_copy (OpenLDev *openldev)
{ openldev_edit_copy (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_edit_paste (OpenLDev *openldev)
{ openldev_edit_paste (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_edit_select_all (OpenLDev *openldev)
{ openldev_edit_select_all (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_edit_deselect (OpenLDev *openldev)
{ openldev_edit_deselect (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_edit_goto_line (OpenLDev *openldev)
{ openldev_edit_goto_line (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_edit_find (OpenLDev *openldev)
{ openldev_edit_find (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_edit_find_next (OpenLDev *openldev)
{ openldev_edit_find (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_edit_preferences (OpenLDev *openldev)
{ openldev_edit_preferences (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_project_makefile_editor (OpenLDev *openldev)
{ openldev_project_makefile_editor (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_project_info (OpenLDev *openldev)
{ openldev_project_info (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_project_preferences (OpenLDev *openldev)
{ openldev_project_preferences (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_build_auto_generate (OpenLDev *openldev)
{ openldev_build_auto_generate (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_build_project (OpenLDev *openldev)
{ openldev_build_project (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_build_clean (OpenLDev *openldev)
{ openldev_build_clean (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_build_compile (OpenLDev *openldev)
{ openldev_build_compile (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_build_configure (OpenLDev *openldev)
{ openldev_build_configure (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_build_stop (OpenLDev *openldev)
{ openldev_build_stop (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_build_execute (OpenLDev *openldev)
{ openldev_build_stop (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_view_browser (OpenLDev *openldev)
{ openldev_view_browser (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_view_line_numbering (OpenLDev *openldev)
{ openldev_view_line_numbering (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_view_output (OpenLDev *openldev)
{ openldev_view_output (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_view_statusbar (OpenLDev *openldev)
{ openldev_view_statusbar (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_view_toolbar (OpenLDev *openldev)
{ openldev_view_toolbar (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_help_documentation (OpenLDev *openldev)
{ openldev_help_documentation (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_help_report_bug (OpenLDev *openldev)
{ openldev_help_report_bug (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}

void openldev_menu_help_about (OpenLDev *openldev)
{openldev_help_about (GTK_MENU_ITEM(gtk_menu_item_new()), (gpointer)openldev);
}
