/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef STATUS_BAR_H
#define STATUS_BAR_H

#include <iostream>
#include <vector>
#include <gtk/gtk.h>
#include <libgnomeui/libgnomeui.h>
using namespace std;

typedef struct _StatusBar  StatusBar;

struct _StatusBar
{
  GtkWidget *appbar;  
  const char *message;
};

StatusBar*  openldev_status_bar_new ();
void        openldev_status_bar_set_message (StatusBar*, const char*);
const char* openldev_status_bar_get_message (StatusBar*);

#endif
